<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="atividade">
      <h2 data-cy="atividadeDetailsHeading"><span jhiTranslate="matrixApp.atividade.detail.title">Atividade</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="matrixApp.atividade.id">Id</span></dt>
        <dd>
          <span>{{ atividade.id }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.atividade.nome">Nome</span></dt>
        <dd>
          <span>{{ atividade.nome }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.atividade.papel">Papel</span></dt>
        <dd>
          <div *ngIf="atividade.papel">
            <a [routerLink]="['/papel', atividade.papel.id, 'view']">{{ atividade.papel.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="matrixApp.atividade.unidade">Unidade</span></dt>
        <dd>
          <div *ngIf="atividade.unidade">
            <a [routerLink]="['/unidade', atividade.unidade.id, 'view']">{{ atividade.unidade.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Voltar</span>
      </button>

      <button type="button" [routerLink]="['/atividade', atividade.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editar</span>
      </button>
    </div>
  </div>
</div>
